安装Scrapy时报错Failed building wheel for Twisted

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/lulu950817/article/details/80694097

在pip安装Scrapy的时候,报错Failed building wheel for Twisted。
这里写图片描述
需要我们自己下载Twisted,然后安装。这里有Python的各种依赖包。选择适合自己Python以及系统的Twisted版本。
http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted

这里写图片描述

下载好之后,cd到下载文件夹。pip install Twisted的文件名。比如:
pip install Twisted-17.5.0-cp36-cp36m-win_amd64.whl
即可安装Twisted

Scrapy安装成功
Scrapy安装成功

最后附上少坑版Scrapy安装步骤
这里写图片描述

阅读更多 登录后自动展开
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页